package com.alibaba.druid.sql.dialect.mariadb.ast;

import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbForceIndexHint extends MariadbIndexHintImpl {
   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.getIndexList());
      }

      visitor.endVisit(this);
   }

   public MariadbForceIndexHint clone() {
      MariadbForceIndexHint x = new MariadbForceIndexHint();
      this.cloneTo(x);
      return x;
   }
}
